Package de.willuhn.jameica.hbci.io.csv

# Interface Format<T>

Type Parameters:
  `T` - Der Typ des korrespondierenden Objektes in Hibiscus.

All Known Implementing Classes:
  `AbstractBaseUeberweisungFormat`, `AddressFormat`, `UmsatzFormat`

public interface Format<T>
CSV-Format fuer einen Datentyp in Hibiscus.

## Method Summary

Modifier and Type
Method
Description
`Profile`
`getDefaultProfile()`
Liefert das Default-Profil fuer den Import.
`ImportListener`
`getImportListener()`
Liefert einen optionalen Import-Listener.
`Class<T>`
`getType()`
Liefert den Typ des Fachobjektes, der mit diesem Format importiert werden kann.

## Method Details

### getType

Class<T> getType()
Liefert den Typ des Fachobjektes, der mit diesem Format importiert werden kann.

Returns:
  Typ des Fachobjektes.

### getDefaultProfile

Profile getDefaultProfile()
Liefert das Default-Profil fuer den Import.

Returns:
  das Default-Profil.

### getImportListener

ImportListener getImportListener()
Liefert einen optionalen Import-Listener.

Returns:
  optionaler Import-Listener.